#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int x;
    vector<int> a;
    while (cin >> x, x)
        a.push_back(x);
    for (auto i = a.rbegin(); i != a.rend(); ++i)
        cout << *i << " ";
    return 0;
}
